Groovy 1.7.10

## org.codehaus.groovy.ast.expr
[Java] Class TernaryExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.TernaryExpression

    public class TernaryExpression
    extends Expression

Represents a ternary expression (booleanExpression) ? expression : expression

Authors:
  James Strachan

Version:
  \$Revision: 9212 \$

Constructor Summary
`TernaryExpression(BooleanExpression booleanExpression, Expression trueExpression, Expression falseExpression)`

Method Summary
`BooleanExpression` | `getBooleanExpression()`
`Expression` | `getFalseExpression()`
`String` | `getText()`
`Expression` | `getTrueExpression()`
`ClassNode` | `getType()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### TernaryExpression

    public TernaryExpression(BooleanExpression booleanExpression, Expression trueExpression, Expression falseExpression)

Method Detail

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getFalseExpression

    public Expression getFalseExpression()

### getText

    public String getText()

### getTrueExpression

    public Expression getTrueExpression()

### getType

    public ClassNode getType()

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.